kind: pipeline
type: docker
name: default

pipeline:
  clone:
    commands:
      - git submodule update --init --recursive

  build:
    image: cbrgm/drone-hugo:latest
    validate: true
    url: http://moonside.games/docs/encompass

  deploy:
    image: drillster/drone-rsync
    hosts: [ "moonside.games" ]
    target: /var/www/docs/encompass
    source: public/*
    user: hugo
    secrets: [ rsync_key ]
